#include <Instrument.h>      // the base class for this instrument

class FORMANT3 : public Instrument {

public:
	FORMANT3();
	virtual ~FORMANT3();
	virtual int init(double *, int);
	virtual int configure();
	virtual int run();

private:
	void doupdate();

	int inchan, resetter;
	float amp, pan;

    Ortgetin *theInput;
    Oreson *theFilt1;
    Oreson *theFilt2;
    Oreson *theFilt3;
};

